%define	module	TimeDate
%define	name	perl-%{module}
%define	version	1.16
%define	real_version	1.16
%define	release	3mdk

Summary:	%{module} module for perl (Data_Type_Utilities/Time)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{real_version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl
BuildArch:	noarch

%description
Simple Time and Date module for perl.

%prep
%setup -q -n %{module}-%{real_version}

%build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc MANIFEST README ChangeLog
%{perl_vendorlib}/Date
%{perl_vendorlib}/Time
%{_mandir}/*/*

%changelog
* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.16-3mdk
- really use 1.16 (problem of robot building...)

* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.16-2mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Wed Jun 04 2003 Franois Pons <fpons@mandrakesoft.com> 1.16-1mdk
- 1.16.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.14-2mdk
- rebuild for new auto{prov,req}

* Mon Nov 04 2002 Franois Pons <fpons@mandrakesoft.com> 1.14-1mdk
- 1.14.

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 1.13.01-1mdk
- 1.1301.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.13-2mdk
- rebuild for perl 5.8.0

* Mon Jun 10 2002 Franois Pons <fpons@mandrakesoft.com> 1.13-1mdk
- 1.13.

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.11-1mdk
- updated License.
- added Date and Time directory.
- 1.11.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.10-4mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.10-3mdk
- Rebuild for the latest perl.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.10-2mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean up spec a bit

* Mon Nov 13 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.10-1mdk
- Up to 1.10

* Mon Sep  1 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.09-1mdk
- Up to 1.09

* Mon Aug  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.08-1mdk
- First mandrake package

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
